Retrieve A Live Quote
GET
/fx-rate-api/quote/{quoteId}
The Retrieve A Live Quote endpoint is used to retrieve a previously requested foreign exchange quote by its unique identifier. A partner would call this endpoint when they need to access the details of a specific quote that was previously requested through the CSL Pay platform. This endpoint returns the current status and details of the quote.
Path parameters
-
quoteIdrequired
Request body (optional)
This endpoint accepts a body with no declared schema.
Response 200
-
quoteIdA unique identifier for the foreign exchange rate quote.
-
buyCurrencyThe currency in which the buy amount is denominated.
-
buyAmountThe amount of the buy currency.
-
sellCurrencyThe currency in which the sell amount is denominated.
-
sellAmountThe amount of the sell currency.
-
rateThe exchange rate between the buy and sell currencies.
-
directionThe direction of the exchange rate quote, e.g. buy or sell.
-
quotedAtThe timestamp when the exchange rate quote was generated.
-
expiresAtThe timestamp when the exchange rate quote expires.
-
expiresInSecondsThe number of seconds until the exchange rate quote expires.